```{eval-rst}
evennia.utils 
=====================

.. automodule:: evennia.utils
   :members:
   :undoc-members:
   :show-inheritance:



.. toctree::
   :maxdepth: 6

   evennia.utils.ansi
   evennia.utils.batchprocessors
   evennia.utils.containers
   evennia.utils.create
   evennia.utils.dbserialize
   evennia.utils.eveditor
   evennia.utils.evform
   evennia.utils.evmenu
   evennia.utils.evmore
   evennia.utils.evtable
   evennia.utils.funcparser
   evennia.utils.gametime
   evennia.utils.logger
   evennia.utils.optionclasses
   evennia.utils.optionhandler
   evennia.utils.picklefield
   evennia.utils.search
   evennia.utils.test_resources
   evennia.utils.text2html
   evennia.utils.utils
   evennia.utils.validatorfuncs


.. toctree::
   :maxdepth: 6

   evennia.utils.idmapper
   evennia.utils.verb_conjugation

```